Name:           atlascpp
Version:        0.6.2
Release:        3%{?dist}
Summary:        WorldForge message protocol library

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://worldforge.org/dev/eng/libraries/atlas_cpp
Source0:        http://downloads.sourceforge.net/sourceforge/worldforge/Atlas-C++-%{version}.tar.bz2
Patch1:         atlascpp-0.6.1-gcc44.patch
Patch2:         atlascpp-0.6.2-Werror.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  doxygen zlib-devel bzip2-devel
# Provide the other name that this package is commonly known by
Provides:       Atlas-C++


%description
Atlas-C++ is the perhaps the most important library in the entire WorldForge
project, since nearly every other module requires it. Atlas-C++ provides a
native implementation of the entire Atlas specification including negotiation,
message encode and decode and the overlying Objects layer.


%package devel
Summary:        Development files for Atlas-C++
Group:   Development/Libraries
Requires: pkgconfig %{name} = %{version}-%{release}
# Atlas-C++ includes simple tutorial that uses skstream
Requires:       skstream-devel


%description devel
Libraries and header files for developing applications that use Atlas-C++

%prep
%setup -q -n Atlas-C++-%{version}
%patch1 -p1
%patch2 -p0


%build
%configure

# simple hack to remove -Werror from the test suite, which causes
# it to fail.
sed -i -e 's#-Werror##' benchmark/Makefile
sed -i -e 's#-Werror##' tests/Objects/Makefile

make %{?_smp_mflags}
make docs


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libAtlas*-0.6.la

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -p -m 0644 doc/man/man3/Atlas*.3 $RPM_BUILD_ROOT%{_mandir}/man3/

%check
# Run tests in debug mode so asserts won't be skipped
sed -i -e 's/-DNDEBUG/-DDEBUG/' tests/Makefile
make %{?_smp_mflags} check


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README ROADMAP THANKS TODO
%{_libdir}/libAtlas*-0.6.so.*


%files devel
%defattr(-,root,root,-)
%doc HACKING doc/html/
%{_bindir}/atlas_convert
%{_includedir}/Atlas-C++-0.6
%{_libdir}/libAtlas*-0.6.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/Atlas*

%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-3
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat May 07 2011 Bruno Wolff III <bruno@wolff.to> 0.6.2-1
- Upstream update to 0.6.2

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 01 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.6.1-6
- Moving skstream dependency to -devel subpackage
- Actually perform the tests

* Sat Feb 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.6.1-5
- Rebuilt for skstream update

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 9 2008 Wart <wart at kobold.org> 0.6.1-3
- Rebuild for gcc 4.3

* Sun Dec 16 2007 Wart <wart at kobold.org> 0.6.1-2
- Rebuild to fix multiarch-conflicts (BZ #340691)

* Sat Nov 24 2007 Wart <wart at kobold.org> 0.6.1-1
- Update to 0.6.1
- Better download URL

* Wed Aug 15 2007 Wart <wart at kobold.org> 0.6.0-4
- License tag clarification

* Sun Aug 27 2006 Wart <wart at kobold.org> 0.6.0-3
- Rebuild for FC-6

* Fri Jul 14 2006 Wart <wart at kobold.org> 0.6.0-2
- Add missing Requires: pkgconfig to -devel subpackage
- Include man pages
- Update license to match actual license (LGPL, not GPL)
- Added patch to fix interlibrary dependencies
- Change name to atlascpp to prevent confusion with the existing atlas package

* Wed Jun 14 2006 Wart <wart at kobold.org> 0.6.0-1
- Initial spec file for Fedora Extras
